/* 
* Copyright 2016 Agencia Estatal de Administración Tibutaria
*
* Licencia con arreglo a la EUPL, Versión 1.1 o –en cuanto
* sean aprobadas por la Comisión Europea– versiones
* posteriores de la EUPL (la «Licencia»);
* Solo podrá usarse esta obra si se respeta la Licencia.
* Puede obtenerse una copia de la Licencia en:
*  
* https://joinup.ec.europa.eu/software/page/eupl
*  
* Salvo cuando lo exija la legislación aplicable o se acuerde
* por escrito, el programa distribuido con arreglo a la
* Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
* DE NINGÚN TIPO, ni expresasni implícitas.
*
* Véase la Licencia en el idioma concreto que rige los permisos y 
* limitaciones que establece la Licencia.
*/ 

package gestor.datos;

import gestor.utiles.DatosException;
import gestor.utiles.Global;

public class RegistroCola {

    public int id;
    public String cola;
    public String descripcion;
    public int bonificacion;
    public int numero;
    public boolean activa;
    public boolean citaPrevia;
    public boolean cerrada;
    public String salaEspera;
    public boolean nifObligatorio;
    public boolean colaEspecial;

    public boolean actualizado = false;

    public boolean necesitaApellido() {
        return false;
    }

    public void leerRegistroCompleto(String s) throws DatosException {
        String[] cs = Global.split(s, '|');
        try {
            id = Integer.parseInt(cs[0]);
            cola = cs[1];
            descripcion = cs[2];
            bonificacion = Global.nz(cs[3]);
            numero = Global.nz(cs[4]);
            activa = (cs[5].equals("1"));
            citaPrevia = cs[7].equals("1");
            cerrada = cs[8].equals("1");
            if (cs[11].equals("null")) {
                salaEspera = " ";
            } else {
                salaEspera = cs[13];
            }
            nifObligatorio = cs[14].equals("1");
            // comprobación de seguridad, por si está mal el ConfiguraServidor...
            if (citaPrevia) {
                nifObligatorio = true;
            }
            colaEspecial = cs[15].equals("1");
        } catch (Exception exc) {
            throw new DatosException("Error en registro seriado: " + exc.getMessage());
        }
    }
}
